Subject: bug#26062: closed (Re: bug#26062: Spurious "environment variable may be needed" output)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Mar 2017 15:53:02 +0000

Your bug report

#26062: Spurious "environment variable may be needed" output

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26062: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26062
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26062: Spurious "environment variable may be needed" output
From: [email-masked] (Ludovic Courtès)
To: [email-masked] (Taylan Ulrich "Bayırlı/Kammer")
Cc: [email-masked]
Date: Sun, 19 Mar 2017 16:51:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Taylan Ulrich "Bayırlı/Kammer") skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Above the ‘wrap-program’ call, there’s this comment:
>>
>>         ;; Ignore user settings so that a bogus
>>         ;; GUILE_LOAD_COMPILED_PATH does not prevent use of
>>         ;; 'guix', notably when it contains entries pointing to
>>         ;; incompatible .go files as reported at
>>         ;; <https://lists.gnu.org/archive/html/guix-devel/2016-03/msg01261.html>.
>
> Duh, missed that. :-)
>
>> Since 2.0.12, Guile skips invalid .go files, so this problem is gone.
>> So I think you can go ahead and change '= to 'prefix there.
>
> Done and pushed.

Thanks, closing the bug.

Ludo'.

Subject: Spurious "environment variable may be needed" output
From: [email-masked] (Taylan Ulrich Bayırlı/Kammer)
To: [email-masked]
Date: Sat, 11 Mar 2017 19:32:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

'guix package' commands keep giving me this output:

The following environment variable definitions may be needed:
   export GUILE_LOAD_COMPILED_PATH="/home/taylan/.guix-profile/lib/guile/2.0/site-ccache:/home/taylan/.guix-profile/share/guile/site/2.0${GUILE_LOAD_COMPILED_PATH:+:}$GUILE_LOAD_COMPILED_PATH"

I already have said paths in my $GUILE_LOAD_COMPILED_PATH.  In fact, I
get the output even if I define it to have *solely* those two paths.

taylan@T420:~$ guix package -r nano
[... snip ...]
75 packages in profile
The following environment variable definitions may be needed:
   export GUILE_LOAD_COMPILED_PATH="/home/taylan/.guix-profile/lib/guile/2.0/site-ccache:/home/taylan/.guix-profile/share/guile/site/2.0${GUILE_LOAD_COMPILED_PATH:+:}$GUILE_LOAD_COMPILED_PATH"
taylan@T420:~$ echo $GUILE_LOAD_COMPILED_PATH
/home/taylan/.guix-profile/lib/guile/2.0/site-ccache:/home/taylan/.guix-profile/share/guile/site/2.0
taylan@T420:~$